//---------------------------------------------------------------------------
#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include "BkgThread.h"


#define MY_MESSAGE      (WM_USER+2)

class TMainForm : public TForm{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *Communication1;
    TMenuItem *Connect1;
    TMenuItem *Disconnect1;
    TActionList *ActionList1;
    TAction *actConnect;
    TAction *actDisconnect;
    TMenuItem *Exit1;
    TShape *Shape1;
    TMenuItem *N1;
    TMenuItem *chkPatch;
    TMenuItem *Help1;
    TMenuItem *mnuAbout;
    TPanel *Panel1;
    TCheckBox *chkLog;
    TLabel *lblActivity;
    void __fastcall actConnectExecute(TObject *Sender);
    void __fastcall actDisconnectExecute(TObject *Sender);
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall chkPatchClick(TObject *Sender);
    void __fastcall mnuAboutClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall chkLogClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    HANDLE comHandle;
    ComThread* theThread;

    __fastcall TMainForm(TComponent* Owner);
    void __fastcall MsgHandler(TMessage &message);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(MY_MESSAGE, TMessage, MsgHandler);
    END_MESSAGE_MAP(TForm);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
