//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "BkgThread.h"
#include "main.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

__fastcall ComThread::ComThread() : TThread(false){
    Priority = tpLower;
    FreeOnTerminate = false;  // Don't automatically delete ourselves when terminated.
}
//---------------------------------------------------------------------------

void __fastcall ComThread::Execute(){
    DWORD dwErrors;
    COMSTAT cst;
    DWORD NumberOfBytesRead, message, fdwAction;
    HANDLE WinComHandle = MainForm->comHandle;
    HWND hwnd = (HWND)MainForm->Handle;
    int ptr=0;
    char comchar;

    ClearCommError(WinComHandle, (LPDWORD)&dwErrors, (LPCOMSTAT)&cst);
    switch (dwErrors){
    case 0:
    case CE_BREAK:
        break;
    default:
        return;
    };

    //read "M"
    ReadFile(WinComHandle, (LPVOID)&comchar, 1, (LPDWORD)&NumberOfBytesRead, NULL);

    while(!Terminated){

        ClearCommError(WinComHandle, (LPDWORD)&dwErrors, (LPCOMSTAT)&cst);
        if(cst.cbInQue >= 3){
            if(!ReadFile(WinComHandle, (LPVOID)&message, 3, (LPDWORD)&NumberOfBytesRead, NULL)){
                return;
            }
            if(!NumberOfBytesRead){

            }else if((NumberOfBytesRead > 0) && (NumberOfBytesRead < 3)){

            }else if(!(((unsigned char*)&message)[0] & 64)){
                fdwAction  = PURGE_TXABORT | PURGE_RXABORT | PURGE_TXCLEAR | PURGE_RXCLEAR;
                PurgeComm(WinComHandle, fdwAction);
            }else{

                PostMessage(hwnd, MY_MESSAGE, (WPARAM)message, NULL);
                ptr = 0; message = 0;

            }
        }
    }
}
//------------------------------















 /*

void __fastcall ComThread::Execute(){
    DWORD dwErrors, dummy, message=0;
    DWORD NumberOfBytesRead;
    COMSTAT comstat;
    int ptr=0;
    char comchar;
    HANDLE h = MainForm->comHandle;
    HWND hwnd = (HWND)MainForm->Handle;

    char cc[9];

    while(!Terminated){
        if(!ClearCommError(h, &dummy, &comstat)) return;
        if(comstat.cbInQue > 0){

            if(!ReadFile(h, (LPVOID)&comchar, 1, (LPDWORD)&NumberOfBytesRead, NULL)) return;
            ((char*)&message)[ptr] = comchar;
            if(!ptr){
                if(((char*)&message)[0] & 64) ptr++;
            }else
                ptr++;
            if(ptr > 2){
                PostMessage(hwnd, MY_MESSAGE, (WPARAM)message, NULL);
                ptr = 0; message = 0;
            }


        }
    }
}
//---------------------------------------------------------------------------

          */
